org.h2.mvstore

## Enum MVMap.Decision

- java.lang.Object
- - java.lang.Enum<MVMap.Decision>
  - - org.h2.mvstore.MVMap.Decision

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<MVMap.Decision>

Enclosing class:
  MVMap<K,V>

    public static enum MVMap.Decision
    extends java.lang.Enum<MVMap.Decision>

The decision on what to do on an update.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`ABORT`
`PUT`
`REMOVE`
`REPEAT`

### Method Summary

All Methods Static Methods Concrete Methods
`static MVMap.Decision` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static MVMap.Decision[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### ABORT

    public static final MVMap.Decision ABORT

#### REMOVE

    public static final MVMap.Decision REMOVE

#### PUT

    public static final MVMap.Decision PUT

#### REPEAT

    public static final MVMap.Decision REPEAT

### Method Detail

#### values

    public static MVMap.Decision[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (MVMap.Decision c : MVMap.Decision.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static MVMap.Decision valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null